> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Slugify

> Convert text to URL-friendly slug.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/slug/slugify
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/slug/slugify:
    get:
      tags:
        - URL/Slug Utilities
      summary: Slugify
      description: Convert text to URL-friendly slug.
      operationId: slugify_v1_slug_slugify_get
      parameters:
        - name: text
          in: query
          required: true
          schema:
            type: string
            description: Text to convert to slug
            title: Text
          description: Text to convert to slug
        - name: separator
          in: query
          required: false
          schema:
            type: string
            description: Word separator
            default: '-'
            title: Separator
          description: Word separator
        - name: lowercase
          in: query
          required: false
          schema:
            type: boolean
            description: Convert to lowercase
            default: true
            title: Lowercase
          description: Convert to lowercase
        - name: max_length
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Maximum slug length
            default: 100
            title: Max Length
          description: Maximum slug length
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````